/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
 * xf:zero-or-one(item* $srcval) => item?
 */

#ifndef _FUNCTIONZEROORONE_HPP
#define _FUNCTIONZEROORONE_HPP

#include <pathan/Pathan.hpp>

#include <pathan/functionAPI/ConstantFoldingFunction.hpp>

class PATHAN_EXPORT FunctionZeroOrOne : public ConstantFoldingFunction
{
public:
  static const XMLCh name[];

  FunctionZeroOrOne(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** Returns $srcval if it contains zero or one items. **/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;
};

#endif // _FUNCTIONZEROORONE_HPP
