/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _ANCESTORORSELFAXIS_HPP
#define _ANCESTORORSELFAXIS_HPP

#include <pathan/Pathan.hpp>

#include <pathan/internal/navigation/AncestorAxis.hpp>

/**
This class implements the AncestorOrSelf axis as defined by the XPath spec
*/

class PATHAN_EXPORT AncestorOrSelfAxis : public AncestorAxis
{
public:
  virtual Axis getAxis() const;
protected:
 virtual Sequence makeList(const XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, const XMLCh* const uri, DynamicContext* context) const;
};


#endif

