/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _ATTRIBUTEAXIS_HPP
#define _ATTRIBUTEAXIS_HPP

#include <pathan/Pathan.hpp>

#include <pathan/internal/navigation/ForwardAxis.hpp>

/**
This class implements the AttributeAxis axis as defined by the XPath spec
*/

class PATHAN_EXPORT AttributeAxis : public ForwardAxis
{
public:
  virtual Axis getAxis() const;
protected:
  virtual Sequence makeList(const XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, const XMLCh* const uri, DynamicContext* context) const;  
};


#endif

