/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _REVERSEAXIS_HPP
#define _REVERSEAXIS_HPP

#include <pathan/Pathan.hpp>

#include <pathan/internal/navigation/NavStepImpl.hpp>

/**
This class is a base class for all reverse axis. In order for numeric predicates to work correctly
the nodes retuned from makeList have to be in docuemnt order.
*/


class PATHAN_EXPORT ReverseAxis : public NavStepImpl
{
protected:

public:
  ReverseAxis();

  XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *getParent(const XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node) const;

protected:



};


#endif

