/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
  Range operator
*/

#ifndef _RANGE_HPP
#define _RANGE_HPP

#include <pathan/Pathan.hpp>

#include <pathan/dataItem/DataItemOperator.hpp>

/** Range operator function*/
class PATHAN_EXPORT Range : public DataItemOperator
{
public:
  static const XMLCh name[];

  ///Constructor
  Range(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

};

#endif // _RANGE_HPP


