/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
   UnaryMinus operator function
*/

#ifndef _UNARYMINUS_HPP
#define _UNARYMINUS_HPP

#include <pathan/Pathan.hpp>
#include <pathan/dataItem/DataItemOperator.hpp>

/** Unary Minus operator function*/
class PATHAN_EXPORT UnaryMinus : public DataItemOperator
{
public:
  static const XMLCh name[];

  UnaryMinus(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** The unary minus operator function. */
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;
};

#endif // _UNARYMINUS_HPP

