/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
   Minus operator function
*/

#ifndef _MINUS_HPP
#define _MINUS_HPP

#include <pathan/Pathan.hpp>

#include <pathan/dataItem/DataItemOperator.hpp>

/** OpMinus operator function*/
class PATHAN_EXPORT Minus : public DataItemOperator
{
public:
  static const XMLCh name[];

  Minus(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** subtracts two DataItems. Takes two DataItems and returns the difference of them*/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

};

#endif // _FUNCTIONOPMINUS_HPP

