/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
   Mod operator function
*/

#ifndef _MOD_HPP
#define _MOD_HPP

#include <pathan/Pathan.hpp>
#include <pathan/dataItem/DataItemOperator.hpp>

/** OpMod operator function*/
class PATHAN_EXPORT Mod : public DataItemOperator
{
public:
  static const XMLCh name[];

  Mod(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** Takes two DataItems and returns the mod of them*/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

};

#endif // _FUNCTIONOPMOD_HPP

